function [q, t1, f]=zeripoli(fmax,zeri,poli,fpoints)
%function [q, t1, f]=zeripoli(fmax,zeri,poli,fpoints)
%fmax: massima frequenza
%zeri: della trasformata
%poli: della trasformata
%fpoints: punti su cui e' calcolata la trasformata
%t1: funzione di trasferimento
%q: antitrasformata
%f=0:fmax/(fpoints):fmax;
f=0:fmax/(fpoints)/2:fmax/2;
t=ones(1,length(f));
for i=1:length(poli), t=t./(1+j*f/poli(i)); end
for i=1:length(zeri), t=t.*(1+j*f/zeri(i)); end
tc=t';
t1=[t flipud(tc(2:length(tc)-1)).'];
q=ifft(t1);